Subject: Are Alt-Svc and Alt-Used headers "hop-by-hop"?

From: Lucas Pardue <[email-masked]>
Date: Tue, 18 Jun 2019 03:12:36 +0100

Hello WG,

RFC 7838 defines the Alt-Svc and Alt-Used header fields, and the ALTSVC
frame.

Section 4 states:

ALTSVC frame is processed hop-by-hop.  An intermediary MUST NOT
   forward ALTSVC frames, though it can use the information contained in
   ALTSVC frames in forming new ALTSVC frames to send to its own
   clients.

So I begin to wonder if an intermediary should process the headers in a
similar way. That seems, to me, to be the most correct to avoiding leaking
characteristics of the connections on either side of the intermediary.
However, since the specification doesn't state this, I'm inclined to think
that the intention might be to treat these as end-to-end headers.

Any thoughts on this?

Kinds regards
Lucas